diff --git a/tests/data/toulouse_maelis/FamilyService.wsdl b/tests/data/toulouse_maelis/FamilyService.wsdl
index 4e9d5a75..c968892a 100644
--- a/tests/data/toulouse_maelis/FamilyService.wsdl
+++ b/tests/data/toulouse_maelis/FamilyService.wsdl
@@ -1014,46 +1216,17 @@
     </xs:sequence>
   </xs:complexType>
 
   <xs:complexType name="updateChildMedicalRecordRequestBean">
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecRequestBean">
         <xs:sequence>
           <xs:element name="numPerson" type="xs:int"/>
-          <xs:element name="medicalRecord" type="tns:medicalRecordBean"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="childCreateBean">
-    <xs:sequence>
-      <xs:element name="firstname" type="xs:string"/>
-      <xs:element name="lastname" type="xs:string"/>
-      <xs:element name="sexe" type="xs:string"/>
-      <xs:element name="birth" type="ns1:birthCreateBean"/>
-      <xs:element minOccurs="0" name="bPhoto" type="xs:boolean"/>
-      <xs:element minOccurs="0" name="bLeaveAlone" type="xs:boolean"/>
-      <xs:element minOccurs="0" name="numFather" type="xs:int"/>
-      <xs:element minOccurs="0" name="numMother" type="xs:int"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="authorizedPersonList" nillable="true" type="tns:relatedPersonBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="tns:indicatorValueAddBean"/>
-      <xs:element minOccurs="0" name="dietcode" type="xs:string"/>
-      <xs:element minOccurs="0" name="medicalRecord" type="tns:medicalRecordBean"/>
-      <xs:element minOccurs="0" name="paiInfoBean" type="ns1:paiInfoBean"/>
-    </xs:sequence>
-  </xs:complexType>
-
-  <xs:complexType name="indicatorValueAddBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecRequestBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="code" type="xs:string"/>
-          <xs:element minOccurs="0" name="choice" type="xs:string"/>
+          <xs:element name="medicalRecord" type="tns:medicalRecordBean"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
   <xs:complexType name="resultChildBean">
     <xs:sequence>
       <xs:element name="number" type="xs:int"/>
@@ -1120,33 +1293,105 @@
         <xs:sequence>
           <xs:element minOccurs="0" name="idState" type="xs:string"/>
           <xs:element minOccurs="0" name="libelle" type="xs:string"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
-  <xs:complexType name="childBean">
+  <xs:complexType name="resultFamilyBean">
     <xs:sequence>
-      <xs:element name="sexe" type="xs:string"/>
+      <xs:element name="number" type="xs:int"/>
+      <xs:element minOccurs="0" name="password" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="rl1ErrorList" nillable="true" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="childErrorList" nillable="true" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="getFamilySubscribeSchoolInfoRequestBean">
+    <xs:sequence>
+      <xs:element name="numFam" type="xs:string"/>
+      <xs:element name="numPers" type="xs:string"/>
+      <xs:element name="schoolYear" type="xs:int"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="getFamilySubscribeSchoolInfoResultBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="rl1Info" type="tns:person2Bean"/>
+      <xs:element minOccurs="0" name="childSubscribeSchoolInformation" type="tns:getChildSubscribeSchoolInformationResultBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="personSubscribeSchoolList" nillable="true" type="tns:personSubscribeSchoolBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="person2Bean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="num" type="xs:int"/>
+      <xs:element minOccurs="0" name="civility" type="xs:string"/>
       <xs:element name="lastname" type="xs:string"/>
       <xs:element name="firstname" type="xs:string"/>
       <xs:element name="dateBirth" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dietcode" type="xs:string"/>
-      <xs:element minOccurs="0" name="medicalRecord" type="tns:medicalRecordBean"/>
+      <xs:element minOccurs="0" name="sexe" type="xs:string"/>
+      <xs:element minOccurs="0" name="mail" type="xs:string"/>
+      <xs:element minOccurs="0" name="address" type="tns:addressBean"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="resultFamilyBean">
+  <xs:complexType name="getChildSubscribeSchoolInformationResultBean">
     <xs:sequence>
-      <xs:element name="number" type="xs:int"/>
-      <xs:element minOccurs="0" name="password" type="xs:string"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="rl1ErrorList" nillable="true" type="xs:string"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="childErrorList" nillable="true" type="xs:string"/>
+      <xs:element minOccurs="0" name="person" type="tns:person2Bean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribeSchoolYearList" nillable="true" type="ns3:subscribeSchoolYearBean"/>
+      <xs:element minOccurs="0" name="subscribeSchoolInformation" type="tns:subscribeSchoolInformationBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="subscribeSchool2Bean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="idSubscribe" type="xs:string"/>
+      <xs:element minOccurs="0" name="schoolYear" type="xs:int"/>
+      <xs:element minOccurs="0" name="idPerson" type="xs:string"/>
+      <xs:element minOccurs="0" name="school" type="tns:schoolInfoBean"/>
+      <xs:element minOccurs="0" name="preSubscribeDate" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="level" type="tns:levelBean"/>
+      <xs:element minOccurs="0" name="perim" type="tns:perimBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="schoolInfoBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="idSchool" type="xs:string"/>
+      <xs:element minOccurs="0" name="schoolName" type="xs:string"/>
+      <xs:element minOccurs="0" name="phone" type="xs:string"/>
+      <xs:element minOccurs="0" name="address" type="tns:addressBean"/>
+      <xs:element minOccurs="0" name="headmaster" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="perimBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="idPerim" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="perimSchoolList" nillable="true" type="tns:schoolInfoBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="subscribeSchoolInformationBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="schoolYear" type="xs:int"/>
+      <xs:element minOccurs="0" name="level" type="tns:levelBean"/>
+      <xs:element minOccurs="0" name="perim" type="tns:perimBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="derogSchoolList" nillable="true" type="tns:schoolInfoBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="personSubscribeSchoolBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="person" type="tns:personInfoBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribeSchoolYearList" nillable="true" type="ns3:subscribeSchoolYearBean"/>
     </xs:sequence>
   </xs:complexType>
 
 </xs:schema>
   </wsdl:types>
   <wsdl:message name="readQuotientList">
     <wsdl:part element="tns:readQuotientList" name="parameters">
     </wsdl:part>
@@ -1186,16 +1431,20 @@
   <wsdl:message name="updateFamilySituation">
     <wsdl:part element="tns:updateFamilySituation" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="getLevel">
     <wsdl:part element="tns:getLevel" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="addChildVaccinList">
+    <wsdl:part element="tns:addChildVaccinList" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="updateFamilyEmergencyPersonList">
     <wsdl:part element="tns:updateFamilyEmergencyPersonList" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="isChildExistsResponse">
     <wsdl:part element="tns:isChildExistsResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
@@ -1210,16 +1459,20 @@
   <wsdl:message name="readFamilyByPasswordResponse">
     <wsdl:part element="tns:readFamilyByPasswordResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="subscribeSchoolResponse">
     <wsdl:part element="tns:subscribeSchoolResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="readCountryList">
+    <wsdl:part element="tns:readCountryList" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="createChildResponse">
     <wsdl:part element="tns:createChildResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="deletesubscribeResponse">
     <wsdl:part element="tns:deletesubscribeResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
@@ -1254,56 +1507,72 @@
   <wsdl:message name="createFamily">
     <wsdl:part element="tns:createFamily" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readVaccinListResponse">
     <wsdl:part element="tns:readVaccinListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="readChildIndicatorList">
+    <wsdl:part element="tns:readChildIndicatorList" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="getChildSubscribeSchoolInformation">
+    <wsdl:part element="tns:getChildSubscribeSchoolInformation" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="readCivilityListResponse">
     <wsdl:part element="tns:readCivilityListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="readCountryListResponse">
+    <wsdl:part element="tns:readCountryListResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="readStreetListResponse">
     <wsdl:part element="tns:readStreetListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readPAIList">
     <wsdl:part element="tns:readPAIList" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="updateChildIndicatorsResponse">
-    <wsdl:part element="tns:updateChildIndicatorsResponse" name="parameters">
+  <wsdl:message name="readRLIndicatorListResponse">
+    <wsdl:part element="tns:readRLIndicatorListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="readPAIListResponse">
-    <wsdl:part element="tns:readPAIListResponse" name="parameters">
+  <wsdl:message name="updatePersonIndicatorListResponse">
+    <wsdl:part element="tns:updatePersonIndicatorListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="MaelisFamilyExceptionSpec">
-    <wsdl:part element="tns:MaelisFamilyExceptionSpec" name="MaelisFamilyExceptionSpec">
+  <wsdl:message name="readTownList">
+    <wsdl:part element="tns:readTownList" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="readPAIListResponse">
+    <wsdl:part element="tns:readPAIListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readOrganList">
     <wsdl:part element="tns:readOrganList" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="deletesubscribe">
     <wsdl:part element="tns:deletesubscribe" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="updateChildIndicators">
-    <wsdl:part element="tns:updateChildIndicators" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
   <wsdl:message name="isRLExistsResponse">
     <wsdl:part element="tns:isRLExistsResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="readRLIndicatorList">
+    <wsdl:part element="tns:readRLIndicatorList" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="readQualityListResponse">
     <wsdl:part element="tns:readQualityListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readOrganListResponse">
     <wsdl:part element="tns:readOrganListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
@@ -1314,16 +1583,20 @@
   <wsdl:message name="MaelisFamilyException">
     <wsdl:part element="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="createOrUpdateChildDiet">
     <wsdl:part element="tns:createOrUpdateChildDiet" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="readCountyList">
+    <wsdl:part element="tns:readCountyList" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="subscribeActivityResponse">
     <wsdl:part element="tns:subscribeActivityResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="updateCoordinateResponse">
     <wsdl:part element="tns:updateCoordinateResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
@@ -1398,51 +1671,75 @@
   <wsdl:message name="readQualityList">
     <wsdl:part element="tns:readQualityList" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="createChild">
     <wsdl:part element="tns:createChild" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="readTownListResponse">
+    <wsdl:part element="tns:readTownListResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="readChildIndicatorListResponse">
+    <wsdl:part element="tns:readChildIndicatorListResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="readCategoryListResponse">
     <wsdl:part element="tns:readCategoryListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="readCountyListResponse">
+    <wsdl:part element="tns:readCountyListResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="subscribeActivity">
     <wsdl:part element="tns:subscribeActivity" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="getChildSubscribeSchoolInformationResponse">
+    <wsdl:part element="tns:getChildSubscribeSchoolInformationResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="updateChildAutorizationResponse">
     <wsdl:part element="tns:updateChildAutorizationResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="isWSRunningResponse">
     <wsdl:part element="tns:isWSRunningResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readVaccinList">
     <wsdl:part element="tns:readVaccinList" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="updatePersonIndicatorList">
+    <wsdl:part element="tns:updatePersonIndicatorList" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="addChildVaccinListResponse">
+    <wsdl:part element="tns:addChildVaccinListResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="readCategoryList">
     <wsdl:part element="tns:readCategoryList" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readFamilyByPassword">
     <wsdl:part element="tns:readFamilyByPassword" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readStreetList">
     <wsdl:part element="tns:readStreetList" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:portType name="FamilyService">
     <wsdl:operation name="deletesubscribe">
-<wsdl:documentation> Méthode de suppression d'une inscription
+<wsdl:documentation>Supprime une inscription à une activité, pour un enfant donné
 
  --------------------------
  personNumber : numéro de l'enfant (obligatoire)
  idActivity : identifiant de l'activité (obligatoire)
  dateRefDelete : date de référence pour la suppression (obligatoire)
 
  --------------------------
  Traitement :
@@ -1460,114 +1757,100 @@
 	Sinon retour erreur pas de personne trouvée</wsdl:documentation>
       <wsdl:input message="tns:deletesubscribe" name="deletesubscribe">
     </wsdl:input>
       <wsdl:output message="tns:deletesubscribeResponse" name="deletesubscribeResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="updateChildIndicators">
-<wsdl:documentation>Méthode de mise à jour des indicateurs
- Prise en compte des choix éventuels sur les indicateurs
-
- ------------------------------
- numPerson : numéro de l'enfant (obligatoire)
- indicators : liste des indicateurs 
- - Code de l'indicateur (obligatoire)
- - isActive : true/false (true : ajouter / false : supprimer) (obligatoire)
- - choice : Code du choix (lorsqu'il s'agit d'un indicateur avec choix)
-
- -----------------------------</wsdl:documentation>
-      <wsdl:input message="tns:updateChildIndicators" name="updateChildIndicators">
+    <wsdl:operation name="readRLIndicatorList">
+<wsdl:documentation>[REF] Renvoie la liste des indicateurs pouvant être possitionnés sur un RL</wsdl:documentation>
+      <wsdl:input message="tns:readRLIndicatorList" name="readRLIndicatorList">
     </wsdl:input>
-      <wsdl:output message="tns:updateChildIndicatorsResponse" name="updateChildIndicatorsResponse">
+      <wsdl:output message="tns:readRLIndicatorListResponse" name="readRLIndicatorListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="readQuotientList">
-<wsdl:documentation>Méthodes de lecture du paramétrage de référence
- La liste des Quotient 
-
- -------------------------
- Retourne la liste des code valeur pour les Quotient</wsdl:documentation>
+<wsdl:documentation>[REF] Renvoie la liste des quotients</wsdl:documentation>
       <wsdl:input message="tns:readQuotientList" name="readQuotientList">
     </wsdl:input>
       <wsdl:output message="tns:readQuotientListResponse" name="readQuotientListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="readDietCodeList">
-<wsdl:documentation>Méthodes de lecture du paramétrage de référence
- La liste des régimes alimentaires 
-
- -------------------------
- Retourne la liste des code valeur pour les régimes aliementaires</wsdl:documentation>
+<wsdl:documentation>[REF] Renvoie la liste des régimes alimentaires</wsdl:documentation>
       <wsdl:input message="tns:readDietCodeList" name="readDietCodeList">
     </wsdl:input>
       <wsdl:output message="tns:readDietCodeListResponse" name="readDietCodeListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="createOrUpdateChildDiet">
-<wsdl:documentation>Méthode de création/modification d'un dietcode
-
-Cette méthode permet de mettre à jour les informations le régime alimentaire pour un enfant
+<wsdl:documentation>Crée ou met à jour le régime alimentaire d'un Enfant
 
  ------------------------------
  personNumber : numéro de l'enfant (obligatoire)
  code : code du regime alimentaire (obligatoire)
 
  -----------------------------
  Traitement : 
  Si numéro personne trouvé
- Mise à jour du régime alimentaire </wsdl:documentation>
+   Mise à jour du régime alimentaire </wsdl:documentation>
       <wsdl:input message="tns:createOrUpdateChildDiet" name="createOrUpdateChildDiet">
     </wsdl:input>
       <wsdl:output message="tns:createOrUpdateChildDietResponse" name="createOrUpdateChildDietResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="readCountyList">
+<wsdl:documentation>[REF] Renvoie la liste des départements</wsdl:documentation>
+      <wsdl:input message="tns:readCountyList" name="readCountyList">
+    </wsdl:input>
+      <wsdl:output message="tns:readCountyListResponse" name="readCountyListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="readFamily">
-<wsdl:documentation>Méthode de lecture de la famille
-  
+<wsdl:documentation>Renvoie les données de la famille
 
  -------------------------
- dossierNumber: numéro de dossier famille
+ dossierNumber : numéro de dossier famille
  schoolYear : année scolaire (facultatif)
- incomeYear : année des revenus (facultatif), à fournir pour lecture du quotient 
- referenceYear : année de référence (facultatif), à fournir pour lecture du quotient 
- Retourne le dossier famille
-
- -------------------------</wsdl:documentation>
+ incomeYear : année des revenus (facultatif), à fournir pour lecture du quotient
+ referenceYear : année de référence (facultatif), à fournir pour lecture du quotient
+ Retourne le dossier famille</wsdl:documentation>
       <wsdl:input message="tns:readFamily" name="readFamily">
     </wsdl:input>
       <wsdl:output message="tns:readFamilyResponse" name="readFamilyResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="isWSRunning">
-<wsdl:documentation>Méthode pour vérifier si le webservice est OK
+<wsdl:documentation>Vérifie si le webservice est OK
 
  -------------------------
  Retourne vrai ou faux </wsdl:documentation>
       <wsdl:input message="tns:isWSRunning" name="isWSRunning">
     </wsdl:input>
       <wsdl:output message="tns:isWSRunningResponse" name="isWSRunningResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="updateChildAutorization">
-<wsdl:documentation>Méthode de mise à jour des autorisations pour un enfant
+<wsdl:documentation>Met à jour les autorisations pour un enfant
 
  ------------------------------
  numFamily : numéro de la famille (obligatoire)
  numPerson : numéro de l'enfant (obligatoire)
  bPhoto : autorisation photo (obligatoire)
  bLeaveAlone : autorisation à partir seul (obligatoire)
  personList: liste des personnes autorisées à récupérer l'enfant 
  Les personnes non présentes dans cette liste sont supprimées en tant que personne autorisée à récupérer l'enfant, si la liste est vide on supprime l'ensemble des personnes déjà présente.
@@ -1576,103 +1859,110 @@ Cette méthode permet de mettre à jour les informations le régime alimentaire
       <wsdl:input message="tns:updateChildAutorization" name="updateChildAutorization">
     </wsdl:input>
       <wsdl:output message="tns:updateChildAutorizationResponse" name="updateChildAutorizationResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="readCivilityList">
-<wsdl:documentation>Méthodes de lecture du paramétrage de référence
- La liste des civilités 
-
- -------------------------
- Retourne la liste des code valeur pour les civilités</wsdl:documentation>
+<wsdl:documentation>[REF] Renvoie la liste des civilités</wsdl:documentation>
       <wsdl:input message="tns:readCivilityList" name="readCivilityList">
     </wsdl:input>
       <wsdl:output message="tns:readCivilityListResponse" name="readCivilityListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="readCSPList">
-<wsdl:documentation>Méthodes de lecture du paramétrage de référence
- La  liste des catégories sociaux professionnelle 
-
- -------------------------
- Retourne la liste des catégories sociaux professionnelle</wsdl:documentation>
+<wsdl:documentation>[REF] Renvoie la liste des catégories sociaux professionnelles</wsdl:documentation>
       <wsdl:input message="tns:readCSPList" name="readCSPList">
     </wsdl:input>
       <wsdl:output message="tns:readCSPListResponse" name="readCSPListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="updateFamilySituation">
-<wsdl:documentation>Méthode de mise à jour de la situation familiale
-
+<wsdl:documentation>Met à jour la situation familiale
 
  ------------------------------
  numDossier : numéro de dossier famille  (obligatoire)
  category : code catégorie familiale 
  situation : code situation familiale 
  flagCom : code/hors commune 
  nbChild : nombre d'enfants à charge max 99
  nbTotalChild : nombre d'enfants max 99  
 
  -----------------------------
  Traitement : 
  Le numéro de dossier doit toujours être fourni pour identifier la famille.
  Les données sont mises à jour :
- Si une valeur n'est pas fournie, on ne fait rien sur la valeur en base de données.
- Si elle est fournie vide, on efface l'ancienne valeur dans la base de données. </wsdl:documentation>
+  Si une valeur n'est pas fournie, on ne fait rien sur la valeur en base de données.
+  Si elle est fournie vide, on efface l'ancienne valeur dans la base de données. </wsdl:documentation>
       <wsdl:input message="tns:updateFamilySituation" name="updateFamilySituation">
     </wsdl:input>
       <wsdl:output message="tns:updateFamilySituationResponse" name="updateFamilySituationResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="getLevel">
-<wsdl:documentation>Méthode pour avoir le niveau scolaire d'un enfant
+<wsdl:documentation>Renvoie le niveau scolaire d'un enfant, pour une année scolaire donnée
 
  -------------------------
  	- personNumber : le numéro de l'enfant (obligatoire)
 	- schoolYear : l'année scolaire (obligatoire)
  Retourne les informations du niveau scolaire </wsdl:documentation>
       <wsdl:input message="tns:getLevel" name="getLevel">
     </wsdl:input>
       <wsdl:output message="tns:getLevelResponse" name="getLevelResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="createOrUpdateFSL">
-<wsdl:documentation>Méthode de création ou mise à jour de la fiche sanitaire
+    <wsdl:operation name="addChildVaccinList">
+<wsdl:documentation>Ajoue des vaccins à l'historique de vaccination
+
+ ------------------------------
+ numPerson : numéro de l'enfant (obligatoire)
+ vaccinList : liste des vaccins
+ - Code du vaccin (obligatoire)
+ - libelle : libelle non utilisé en mise à jour
+ - vaccinationDate : date de vaccination
 
-Cette méthode permet de mettre à jour les informations relatives au FSL pour un enfant
+ -----------------------------</wsdl:documentation>
+      <wsdl:input message="tns:addChildVaccinList" name="addChildVaccinList">
+    </wsdl:input>
+      <wsdl:output message="tns:addChildVaccinListResponse" name="addChildVaccinListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="createOrUpdateFSL">
+<wsdl:documentation>Crée ou met à jour la FSL (Fiche Sanitaire de Liaison) d'un enfant
 
  ------------------------------
  personNumber : numéro de l'enfant (obligatoire)
  fslBean : les informations de la fiche sanitaire (obligatoire)
 
  -----------------------------
  Traitement : 
  Si numéro personne trouvé
- Mise à jour des données FSL 
+   Mise à jour des données FSL 
  Sinon retour erreur pas de personne trouvée</wsdl:documentation>
       <wsdl:input message="tns:createOrUpdateFSL" name="createOrUpdateFSL">
     </wsdl:input>
       <wsdl:output message="tns:createOrUpdateFSLResponse" name="createOrUpdateFSLResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="subscribeSchool">
-<wsdl:documentation> Méthode d'inscription scolaire
+<wsdl:documentation>Ajoute une inscription scolaire pour un enfant
 
  -------------------------
  personNumber : numéro de l'enfant (obligatoire)
  schoolYear : année scolaire (si non présent, on prend l'année de référence de l'utilisateur portail)
  dateSubscribe : date d'inscription (date de préinscription dans la base) si non présente, on prend la date du jour 
 
  ------------------------- 
  Traitement : 
